Workflows
Archive a workflow definition
DELETE /v1/workflow-definitions/{id} · SDK archiveWorkflowDefinition · CLI deployments workflow archive
DELETE
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
id*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
expectedVersion*integerRange
0 <= valueWorkflowDefinitionResponse
application/json- response
environmentId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$organizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$projectId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$name*stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120slug*stringMatch
^[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?$status*stringValue in
"active""archived"updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
0 <= valuedraft*curl -X DELETE "https://example.com/v1/workflow-definitions/string" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "expectedVersion": 0 }'{ "environmentId": "string", "organizationId": "string", "projectId": "string", "createdAt": "2019-08-24T14:15:22Z", "id": "string", "name": "string", "slug": "string", "status": "active", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "draft": { "description": "string", "entryStepId": "string", "name": "string", "schemaVersion": 1, "slug": "string", "steps": [ { "onFailure": "string", "next": "string", "agentDeploymentId": "string", "id": "string", "input": { "property1": null, "property2": null }, "type": "agent" } ] }}